OpenTTD Source: OldWaypoint Struct Reference

OpenTTD Source 15.3

Data Fields
OldWaypoint Struct Reference

Helper structure to convert from the old waypoint system. More...

## Data Fields
OldWaypointID | index
TileIndex | xy
TownID | town_index
Town * | town
uint16_t | town_cn
StringID | string_id
std::string | name
uint8_t | delete_ctr
TimerGameCalendar::Date | build_date
uint8_t | localidx
uint32_t | grfid
const StationSpec * | spec
Owner | owner
StationID | new_index

## Detailed Description

Helper structure to convert from the old waypoint system.

Definition at line 27 of file waypoint_sl.cpp.

## Field Documentation

## ◆ build_date

TimerGameCalendar::Date OldWaypoint::build_date

Definition at line 36 of file waypoint_sl.cpp.

## ◆ delete_ctr

uint8_t OldWaypoint::delete_ctr

Definition at line 35 of file waypoint_sl.cpp.

## ◆ grfid

uint32_t OldWaypoint::grfid

Definition at line 38 of file waypoint_sl.cpp.

## ◆ index

OldWaypointID OldWaypoint::index

Definition at line 28 of file waypoint_sl.cpp.

## ◆ localidx

uint8_t OldWaypoint::localidx

Definition at line 37 of file waypoint_sl.cpp.

## ◆ name

std::string OldWaypoint::name

Definition at line 34 of file waypoint_sl.cpp.

## ◆ new_index

StationID OldWaypoint::new_index

Definition at line 42 of file waypoint_sl.cpp.

## ◆ owner

Owner OldWaypoint::owner

Definition at line 40 of file waypoint_sl.cpp.

## ◆ spec

const StationSpec* OldWaypoint::spec

Definition at line 39 of file waypoint_sl.cpp.

## ◆ string_id

StringID OldWaypoint::string_id

Definition at line 33 of file waypoint_sl.cpp.

## ◆ town

Town* OldWaypoint::town

Definition at line 31 of file waypoint_sl.cpp.

## ◆ town_cn

uint16_t OldWaypoint::town_cn

Definition at line 32 of file waypoint_sl.cpp.

## ◆ town_index

TownID OldWaypoint::town_index

Definition at line 30 of file waypoint_sl.cpp.

## ◆ xy

TileIndex OldWaypoint::xy

Definition at line 29 of file waypoint_sl.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/waypoint_sl.cpp